#block-bannerrichiestacatalogo img,
#block-bannerrichiestacatalogo-2 img{
	max-width:100%;
	width:1200px;
	height: auto;
}
div#popup-message-window {
    border: 0;
    border-radius: 0;
}
/* shipping banner*/
.shipping-banner .banner {
	display:block;
	/*position:fixed;
	top: 0;
	left: 0;*/
	width: 100%;
	background-color: #333;
	color: #fff;
	padding: 5px 10px;
	text-align: center;
	z-index: 999;
	font-size: 13px;
    letter-spacing: 1px;
}
.shipping-banner .banner a{
	color:#FBC419;	
}
.info-spedizione{
	background-color:#fff;
	padding:20px;
}
/* blog*/
article.align-center > div{
	text-align:center;
}
/**/
.breadcrumb {
    margin: .5rem auto;
}
.layout-container {
    overflow-x: hidden;
}
.header-wrapper{
	/*position: fixed;*/
    width: 100%;
    z-index: 9; 
	/*top:30px;*/
}
header.stickynav-active{
	z-index:1045;
}
.region-top-bar {
    border-bottom: 1px solid #042c44; 
    height: 3rem;
    /*position: fixed !important;*/
    top: 0;
    width: 100%;
}
.region-header {
    background: #fff;
    border-bottom: 1px solid #042c44;
    /*position: fixed;*/
    z-index: 2;
    width: 100%;
    /*top: 3rem;*/
}
.site-logo img {
    max-height: 70px;
    height: auto;
    width: auto; 
}
div.block-title{
	color: #042c44;
    font-family: "Titillium Web", sans-serif;
    font-weight: 700;
	font-size: 2rem;
	padding: 20px 0;
	text-transform:uppercase;
}
.region-footer div.block-title{
	font-size: 15px;
}
.language-switcher-language-url .nav-link,
.menu--menu-header-top .nav-link{
	padding:0.5rem 0.5rem;
}
.language-switcher-language-url li a.en{
	display:none;
}
/*.main-container {
    margin-top: 3rem;
}*/

                            .catalog-search .field--name-quantity.field--widget-number,
                            .catalog-search .field--widget-commerce-product-variation-title {
                              display: none;
                            }
/*dettaglio prodotto*/
.product-node .ratio-1x1 img.img-fluid {
    object-fit: cover;

}
.product-node .product-image {
    overflow: hidden;
}
.product-node .product-image:hover img {
    transform: scale(1.3);
    transition: transform 0.5s;
    border: none;
    overflow: hidden;;
    z-index: 999;
    position: relative;
}
.product-node  .product-video > div{
	text-align: center;	
}
.product-node  .product-video > div > div{
	margin:1%;
	width:47%;
	display:inline-block;
}
.product-node  .product-video .video-embed-field-launch-modal{
	cursor:pointer;
}
.product-node  .product-video .video-embed-field-launch-modal img{
	cursor:pointer;
	border: 1px solid #dee2e6;
    opacity: 0.5;
    transition: opacity 0.15s linear;
}
.product-node  .product-video .video-embed-field-launch-modal img:hover{
	opacity:1;
}
.banner-free-shipping{
	width: 100%;
	background-color: #f6f6f6;
    border: 1px solid #5a5a5a;
    color: #5a5a5a;
	padding: 5px 10px;
	text-align: center;
	font-size: 13px;
    letter-spacing: 1px;
	margin-bottom: 10px;
}
/*cart*/
.view-commerce-cart-form td.views-field-title{
		font-weight:bold;
	}
@media (max-width: 992px) {
/* Force table to not be like tables anymore */
	.view-commerce-cart-form thead{
		display:none;
	}
	.view-commerce-cart-form table,
	.view-commerce-cart-form tbody,
	.view-commerce-cart-form th,
	.view-commerce-cart-form td,
	.view-commerce-cart-form tr {
		display: block;
	}
	.view-commerce-cart-form td{
		border-bottom-width: 0px;
	}
	.view-commerce-cart-form tr{
		border-bottom:1px solid #ccc;
	}
	
	.view-commerce-cart-form td.views-field-unit-price__number{
		display:none;
	}
	.view-commerce-cart-form td.views-field-sku:before{
		content:"cod. ";
	}

}
.beo.beo-x use {
    color: #fff;
}
/*checkout*/
.layout-region-checkout-footer .form-actions{
	display:flex;
	justify-content:right;
}
.layout-region-checkout-footer #edit-actions-next{
	order:1;
	margin-left: 8px;
}
@media (max-width: 992px) {
	.layout-region-checkout-secondary{
		order:0;
	}
	.layout-region-checkout-main{
		order:1;
	}
	.layout-region-checkout-footer{
		order:2;
	}
	.layout-region-checkout-secondary .p-4{
		padding: 0.5rem !important;
	}
	/*#edit-actions-next{
		margin-bottom:15px;
	}*/
}
.priority-low.views-field.views-field-field-immagine {
  display: none;
}
.view-categorie-in-evidenza .box-wrapper img:hover {
    opacity: .5;
}
.region.region-content-boxed-before-footer.row img:hover {
    opacity: .5;
}
.reviews-container .review-container {
    padding: 20px !important;
}
.tbm-link.level-1 {
    padding: 1rem 1rem;
}
.tbm-link.level-1.tbm-toggle:hover,
.tbm-link.level-1.tbm-toggle.active {
    text-decoration: underline;
    text-underline-offset: 35px;
    text-decoration-thickness: 8px;
    text-decoration-color: #042c44;
}
.tbm-submenu.tbm-item-child {
    margin-top: 25px;
    border: 0;
    box-shadow: 0 0 0 0;
	margin: 0 auto;
    /*left: 0;
    position: absolute;
    margin-left: -30vw;
    width: 103vw !important;
    background-color: #fff;
    width: 100% !important;*/
    box-shadow: 0px 10px 10px -15px #ccc;
    min-height: calc(50vh) !important;
}
.tbm-submenu.tbm-item-child::before {
    content: "";
    background: #fff;
    left: -100%;
    width: 101%;
    height: 100%;
    position: absolute;
    display: flex;
    top: 0;
    bottom: 0;
    box-shadow: 0px 10px 10px -15px #ccc;
}
.tbm-submenu.tbm-item-child::after {
    content: "";
    background: #fff;
    right: -100%;
    width: 101%;
    height: 100%;
    position: absolute;
    display: flex;
    top: 0;
    bottom: 0;
    box-shadow: 0px 10px 10px -15px #ccc;
}
.tbm-submenu > div {
    margin: 0 -6rem;
    z-index: 10;
    position: relative;
}
.tbm-item.level-1.open > .tbm-submenu {
    margin-top: 21px;
}
.tbm-item.level-1.open > .tbm-submenu .view-immagini-menu{
	padding-right:20px;
}
.tbm-item.level-1.open > .tbm-submenu > .tbm-column{
	padding:5px;
}
.tbm-group-container {
    border: 0;
}
.tbm-group-title {
    text-decoration: underline 2px;
    text-underline-offset: 10px;
}
.region-header .block-tb-megamenu nav li a.level-3.tbm-link {
    font-size: 15px;
    line-height: 1;
}
.catalog-list > header {
    margin-top: 3.5rem;
}
.catalog-list > footer {
    margin-top: 3.5rem;
}
.product .product-catalog-price {
    min-height: 50px;
}
.product #commerce-product-add-to-cart-form {
    margin-bottom: 0;
}
.tbm-group-title,
.region-header .block-tb-megamenu nav li .level-1,
.tbm-link .level-2 {
    font-weight: bold;
}
.tbm.tbm--mobile {
    display: none;
}
.product-menu-btn{
    background: #000;
    padding: 5px 10px;
    text-align: center;
	border:1px solid #000;
}
.product-menu-btn a{
	color: #fff;
}
.product-menu-btn:hover{
    background: #fff;
}
.product-menu-btn:hover a{
	color: #000;
}
.front-page .circle-button:hover {
    color: #fff;
}
.view-slideshow .background-slide {
    /*margin-top: 50px !important;*/
    height: calc(100vh - 150px) !important;
}
.view-slideshow .slide__media{
	display:none;
}
.views-field.views-field-field-immagine {
  min-width: 100px;
}
/* aggiungo icona del carrello a box prodotto */
.commerce-order-item-add-to-cart-form .form-actions::after {
    content: url('../dist/images/frisa-icons/ico-cart-white.svg');
    position: absolute;
    right: 8px;
    bottom: 2px;
    width: 30px;
}
@media (min-width: 991.98px) {
	.commerce-order-item-add-to-cart-form .form-actions::after {
	  right: 35px;
	}
}
footer img {
    max-width: 100%;
    height: auto;
    margin-bottom: .5rem;
}
.product-node .product-sku-price,
.product-node .button--add-to-cart{
    font-family: "Titillium Web",sans-serif;
}
.product-node .button--add-to-cart:hover{
    color:#fff;
    background-color: #074b74;
}
.product-node .desc-var-min div p {
    display:inline-block;
    background:#f0f0f0;
    font-size: 13px;
    padding: 2px 10px;
	margin-bottom:0;
}
.product-node .desc-prod-min{
    border-bottom: 1px solid #dee2e6;
    padding-bottom: 2rem;
}

.catalog-list .img-fluid {
  height: 130px;
  object-fit: contain;
  background-color: #fff;
}
@media (max-width: 992px) {
	.fs-4 {
		font-size: 1.1em;
	}
	.discounted-price{
		font-size: .8em;
	}
}
.discounted-price{
	background-color:#FCEE21;
	padding:0 5px;
} 
@media (min-width: 991.98px) {
.catalog-list .img-fluid {
  height: 230px;
}
}
.catalog-list.view-display-id-block_4 .img-fluid {
  height: auto;
} 
.ratio > * {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.js-form-item-outofstock {
    margin-bottom: 0 !important;
}

/*dettaglio prodotto accordion*/
.accordion-item {
    border-top: 1.3px solid #535353;
    border-bottom: 1.3px solid #535353;
    border-left: 0;
    border-right: 0;
    border-radius: 0 !important;
}
.accordion-button:not(.collapsed) {
    border-bottom: 1.3px solid #535353;
    box-shadow: none;
}
.accordion-button.collapsed:focus {
  box-shadow: none;

}
.accordion-button {
    padding: 10px;
}
#accordionProduct .accordion-button::after {
    background-size: 50px 50px;
    width: 50px;
    height: 50px;
}
#accordionProduct .accordion-button.collapsed::after {
    background-size: 35px 50px;
    width: 41px;
    height: 50px;
}
/*dettaglio prodotto*/
.node-product .order-md-last h5 a {
    text-transform: uppercase
}
.node-product .button--add-to-cart:hover {
    background: white;
    color: #042c44;
}
.link-pdf {
   text-transform: uppercase;
   color: #042c44;
   font-weight: 600;
}
.link-pdf:hover {
    text-decoration: underline;
    color: #042c44;
} 
/* Catalog list */
.product-image-frisa .images-hover .image-second {
    background: none;
}
.product-image-frisa .wrapper-images div[class^='product--variation-field--variation_field_immagine__'] div {
    color: white;
    font-size:0px;
}
.block-views-blockcatalogo-prodotti-block-1 .catalog-list{
	padding:0;
}
/* Catalog list node, prodotti correlati */
.catalog-list-node .wrapper-number {margin: 0 auto;}
.node-type--article .block-views-blockprodotti-consigliati-blog-block-1  article > div > div {
    margin-bottom: 0px;
}
/*carrello*/
.view-commerce-cart-form #edit-actions {
  justify-content: end;
  display: flex;
  margin-top: 20px;
}
.layout-region-checkout-footer{
	text-align:right;
}
/*bottoni blu*/

.user-login-form .btn-primary,
.user-pass .btn-success,
.layout-checkout-form .btn-primary,
.commerce-checkout-flow .button--primary.form-submit,
.block-views-blockslideshow-block-1 .slide__description .btn-primary,
.address-book__add-link,
.user-form .button--primary,
.block-local-actions-block .btn-primary,
.commerce-payment-method-add-form .button--primary,
#edit-submit,
.view-commerce-cart-form .btn-primary {
    background: #042c44;
    color: #fff;
    border-radius: 0;
    border: 1px solid #042c44;
    
}
.user-login-form .btn-primary:hover,
.user-pass .btn-success:hover,
.layout-checkout-form .btn-primary:hover,
.commerce-checkout-flow .button--primary.form-submit:hover,
.block-views-blockslideshow-block-1 .slide__description .btn-primary:hover,
.address-book__add-link:hover,
.user-form .button--primary:hover,
.block-local-actions-block .btn-primary:hover,
.commerce-payment-method-add-form .button--primary:hover,
#edit-submit:hover {
    background: white !important;
    color: #042c44 !important;
    filter: none;
    box-shadow: none;
}
/*bottoni bianco*/
.view-commerce-cart-form #edit-submit,
.view-commerce-cart-form .btn-outline-primary,
.layout-checkout-form .btn-success,
.commerce-checkout-flow .link--previous,
.address-book-edit-button,
#edit-delete {
    background: #fff;
    color: #042c44;
    border-radius: 0;
    border: 1px solid #042c44;
    padding: 0.655rem 2.5rem;
    bottom: -1px;
    position: relative
}
.view-commerce-cart-form .btn-primary:hover,
.view-commerce-cart-form .btn-outline-primary:hover,
.layout-checkout-form .btn-success:hover,
.commerce-checkout-flow .link--previous:hover,
.address-book-edit-button:hover,
#edit-delete:hover {
    background: #042c44;
    color: #fff;
    filter: none;
}
.view-commerce-cart-form #edit-checkout{
  margin-left: 0.5rem;
  font-size: 0.875rem;
}
/**/
#edit-email-registration-login-returning-customer-forgot-password {
    margin-left: 20px;
}

/*riepilogo*/

#statoOrdine h1, #statoOrdine h1>* {
    display: flex;
    gap: 10px;  
    flex-wrap: wrap;
}
.user-order {
    font-weight: 600;
}
.user-order .customer-information .form-label,
.user-order .customer-billing .form-label, .user-order .order-information .form-label {
    border-top: 2px solid #efefef;
    margin-top: 0.5rem;
  padding-top: 0.5rem;
  margin-bottom: 0.1rem;
  color: #042c44;
  font-weight: 500;
  }
  .user-order .view-commerce-order-item-table { margin-top: 1rem; }
  .user-order .view-commerce-order-item-table thead {
    color: white;
    background: #042c44;
}
.product-frisa-info {
    height: 105px;
}
#block-frisa-content > div > div.customer-information > div.customer-information__shipping > div.field__label,
#block-frisa-content > div > div.customer-information > div.customer-billing > div.field__label {
    margin-bottom: 0.5rem;
    font-weight: bold;
}
#edit-checkout {
    bottom: -1px;
    position: relative
}
.cart-block--contents__links > .btn {
    filter: none;
}
.product .button--add-to-cart:hover {
    color: #fff;
}
.custom-button{
	display: inline-block;
    font-weight: 700;
    line-height: 1.5;
    color: #fff;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: #042c44;
    border: 1px solid #042c44;
    padding: 0.5rem 2.5rem;
    font-size: 0.875em;
    border-radius: 0;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
	text-transform:uppercase;
}
.custom-button:hover{
	color: #042c44;
	background-color:#fff;
}
.views-infinite-scroll-content-wrapper .row{
	margin-bottom:10px;
} 
.infinite-scroll-pager{
	margin:50px 0;
	text-align:center;
}
.infinite-scroll-pager ul{
	list-style: none;
}
.infinite-scroll-pager a{
	border:1px solid #ccc;
	border-radius:0px;
}
.infinite-scroll-pager a:hover{
	background:#f0f0f0;
}
/* pop up carrello */
.ui-widget-overlay {
    background: #333333;
}
.ui-widget-content a {
  color: #042c44;
}
.message-inner.commerce-add-to-cart-confirmation  {
    min-height: 500px!important;
}
@media (max-width: 992px) {
	.commerce-add-to-cart-confirmation .view-confirm-message-product-display .views-field-field-immagine{
		display:none;
	}
	div.commerce-add-to-cart-confirmation .view-confirm-message-product-display .view-content{
		padding:0;
	}
}
.commerce-add-to-cart-confirmation .button.checkout{
	background-color:#fff;
	border:1px solid #042c44;
	border-radius:0;
}
.commerce-add-to-cart-confirmation .button.checkout a {
    color: #042c44;
}
.commerce-add-to-cart-confirmation .button.checkout:hover{
	background-color:#042c44;
}
.commerce-add-to-cart-confirmation .button.checkout:hover a {
    color: #fff;
}
.commerce-add-to-cart-confirmation .button.continue {
    background: #042c44;
	border:1px solid #042c44;
	border-radius:0;
}
.commerce-add-to-cart-confirmation .button.continue:hover{
    background-color:#fff;
}
.commerce-add-to-cart-confirmation .button.continue:hover a{
	color:#042c44;
}
.view-prodotti-upsell.view-display-id-block_3.catalog-list .img-fluid {
  height: 126px;
}
/*gestione utente*/

#block-frisa-local-tasks > ul {
    justify-content: center;
}
#block-frisa-local-tasks > ul > li > .nav-link {
    background: #042c44;
    border: 0;
    border-radius: 0;
    margin: 0 10px;
    color: #fff;
    font-weight: 600;
}
#block-frisa-local-tasks > ul > li > .nav-link:hover {
    border: 0;
    color: #fff;
    background: gray;
    border-radius: 0;
}
#block-frisa-local-tasks > ul > li > .nav-link.active {
    background: #ffffff;
    border: 1px solid #042c44;
    border-radius: 0;
    color: #042c44;
    font-weight: 600;
}
/* indirizzi spedizione */
#edit-field-corriere-preferito option[value="gls"],
select[id*='edit-shipping-information-shipping-profile-field-corriere-preferito'] option[value='gls']{
	display:none;
}
/*no corriere-preferito su es*/
html:lang(es) .form-item-shipping-information-shipping-profile-field-corriere-preferito,
html:lang(es) .form-item-field-corriere-preferito{
display:none;
}

/* footer */
.servizio-clienti {
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 999;
}
/* search page form */
input#edit-submit-ricerca--2 {
    width: 100%;
  background: #042c44;
  color: white;
  border-radius: 0;
}
.catalog-search.catalog-list > header {
    margin-top: 0;
}
/*media query*/
@media (max-width: 575px){
    .view-slideshow .background-slide {
        background-size: cover;
        margin-top: 20% !important;
        background-position: center top;
    }
}
@media (max-width:576px) {
    .order-md-last {
        padding-top: 80px;
    }
}
@media (max-width: 767px) {
    #block-frisa-branding {
        width: 100%;
    }
    .product-node .field--name-quantity, 
    .product-node .form-actions {
        display: block;
        text-align: center;
    }
}

@media (max-width:975px){
    #block-frisa-breadcrumbs {
        margin-top: 15x;
    }
}
@media (max-width: 1199.98px){
    .region-header .nav {
        display: inherit;
    }
}
@media (max-width: 1200px) {
    .tbm-nav.level-0.items-7 {
        display: none;
    }
}

@media (min-width: 768px) and (max-width: 1180px) {
    .region-header .d-flex {
        justify-content: space-evenly !important;
    }
    .d-flex.align-items-center.justify-content-center {
        justify-content: space-evenly !important;
    }
}

@media (min-width:976px){
    #block-frisa-breadcrumbs {
        margin-top: 15px;
    }
}
/*checkout*/
form.commerce-checkout-flow {
    max-width: 1140px;
    margin: 0 auto;
}
form.commerce-checkout-flow .profile .form-label,
form.commerce-checkout-flow #edit-review-shipping-information-summary-0 .form-label{
    background: #f8f9fa;
    padding: 0.3rem;
}
form.commerce-checkout-flow .profile div:not(.form-label),
form.commerce-checkout-flow #edit-review-shipping-information-summary-0 > div{

    padding: 0.3rem 0 0 0.5rem;
}
.checkout-pane-coupon-redemption{
	padding-left:0 !important;
	padding-right:0 !important;
}
/* node blog */
.node-type--article .catalog-list-node .product-frisa-info {
    min-height: 115px;
}
.node-type--article .catalog-list-node .js-form-type-number .form-label {
    display: none;
}
.node-type--article .catalog-list-node .img-fluid {
  height: 230px;
  object-fit: fill;
}
}
.node-type--article .catalog-list-node .wrapper-number {
  margin-bottom: 4px;
}
/* status message */
.alert.alert-dismissible {
    display: none;
}
.alert.alert-dismissible.alert-success,.alert.alert-dismissible.alert-info,
.alert.alert-dismissible.alert-danger, .alert.alert-dismissible.alert-warning {
    display: block;
}
/* webform richiesta catalogo */
.webform-submission-richiesta-catalogo-form{
	margin-bottom:50px;
}
.webform-submission-richiesta-catalogo-form .progress-title,
.webform-submission-richiesta-catalogo-2025-form .progress-title{
	display:none;
}
.webform-submission-richiesta-catalogo-form .form-item,
.webform-submission-richiesta-catalogo-2025-form .form-item{
	margin-bottom:15px !important;
}
.webform-submission-richiesta-catalogo-form .btn-success,
.webform-submission-richiesta-catalogo-2025-form .btn-success{
	background-color:#042c44;
}
.webform-submission-richiesta-catalogo-form .btn-success:hover,
.webform-submission-richiesta-catalogo-2025-form .btn-success:hover{
	background-color:#074b74;
}
.webform-submission-richiesta-catalogo-form  .webform-button--previous,
.webform-submission-richiesta-catalogo-form  .webform-button--next,
.webform-submission-richiesta-catalogo-2025-form  .webform-button--previous,
.webform-submission-richiesta-catalogo-2025-form  .webform-button--next{
	border: 1px solid #ccc;
	border-radius:0px;
}
.webform-submission-richiesta-catalogo-form  .webform-button--previous:hover,
.webform-submission-richiesta-catalogo-form  .webform-button--next:hover,
.webform-submission-richiesta-catalogo-2025-form  .webform-button--previous:hover,
.webform-submission-richiesta-catalogo-2025-form  .webform-button--next:hover{
	background:#f0f0f0;
}
/* responsive menu*/
.responsive-menu-toggle-wrapper.responsive-menu-toggle {
         display: block
    }
@media (min-width: 991.98px) {
    .responsive-menu-toggle-wrapper.responsive-menu-toggle {
         display: none;
    }
}		
/* webform contatti */
#webform-submission-contact-add-form{
	margin-bottom:50px;
}
#edit-processed-text-01{
	background-color:#efefef;
	padding:25px;
}
.webform-button--submit{
	background-color:#042c44;
	border-color:#042c44;
}
.webform-button--submit:hover{
	background-color:#074b74;
}
/* webform richiesta mappa presepi */
#webform-submission-richiesta-mappa-presepi-add-form {
	margin-bottom:50px;
}
.webform-multiple-add,
.tabledrag-toggle-weight-wrapper{
	display:none;
}
#webform-submission-richiesta-mappa-presepi-add-form .js-form-item {
	margin-bottom:20px !important;
}
#webform-submission-richiesta-mappa-presepi-add-form img{
    max-width: 100%;
    height: auto;
}
/* admin page - export csv */
.view-export-ordini-x-gestionale- .view-content,
.view-export-ordini-x-brt- .view-content,
.view-ordini-e-spedizioni .view-content{
	overflow:auto;
}
/* archived order */
.blazy--field-righe-ordine{
	display: table !important;
}
.blazy--field-righe-ordine > .grid{
	display: table-row !important;
}
.blazy--field-righe-ordine .grid > .grid__content > div {
	display: table-cell !important;
	width: 150px !important;
}
.blazy--field-righe-ordine .grid > .grid__content > div .form-label{
	display:none;
}
.blazy--field-righe-ordine .grid:first-child > .grid__content > div .form-label{
	display:block;
}
/* mappa presepi */
#block-frisa-branding{
	text-align:left;
}
.block-views-blockmappa-presepi-block-2{
	margin-top:30px;
	margin-bottom:30px;
}
.block-views-blockmappa-presepi-block-2 .view-content {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 colonne uguali */
  gap: 10px 20px; /* Spaziatura tra i blocchi */
}
#block-ctamappapresepi{
	margin: 0px;
	padding-top:200px;
	padding-bottom:200px;
}
/* Seleziona l'elemento h3 e tutti i div successivi */
.block-views-blockmappa-presepi-block-2 h3 {
  grid-column: span 3; /* Forza l'elemento h3 a occupare tutta la larghezza */
  margin-bottom: 10px;
  background: #efefef;
  padding: 5px;
}

/* Seleziona i div successivi all'h3 */
.block-views-blockmappa-presepi-block-2 h3 ~ div {
  margin-bottom: 5px;
}

/* Seleziona il primo h3, e riapplica il grid layout per il successivo h3 */
.block-views-blockmappa-presepi-block-2 h3 + div {
  grid-column: span 1; /* Il primo div dopo h3 occupa solo una colonna */
}

.block-views-blockmappa-presepi-block-2 div + h3 {
  grid-column: 1 / -1; /* Fa sì che il successivo h3 inizi una nuova riga */
}
/* Media Query per mobile (schermi con larghezza inferiore a 768px) */
@media (max-width: 768px) {
  .block-views-blockmappa-presepi-block-2 .view-content {
    grid-template-columns: 1fr; /* Singola colonna */
  }
  
  .block-views-blockmappa-presepi-block-2 h3 {
    grid-column: span 1; /* h3 occuperà una sola colonna (100%) */
  }
  
  .block-views-blockmappa-presepi-block-2 h3 + div, h3 ~ div {
    grid-column: span 1; /* Tutti i div occuperanno 100% in larghezza */
  }
}

/* mappa presepi - dettaglio*/
.node-type--presepe .node--type-presepe{
	margin-bottom: 50px;
	margin-top: 50px;
}	
.node-type--presepe .node--type-presepe h1{
	margin-bottom:30px;
}
.node-type--presepe .node--type-presepe .geofield-google-map{
	margin-bottom:30px;
}
.node-type--presepe .node--type-presepe .form-label{
    background: #efefef;
    padding: 5px;
}

.node-type--presepe .node--type-presepe .view-mappa-presepi-calcola-il-percorso{
	margin-top:30px;
}

.footer-frisa{
	display:none;
}

#block-ctamappapresepi {
	background-image: url("images/sfondo-cta.png");
	background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#block-ctamappapresepi .container {
	color: #fff;
}

#block-ctamappapresepi h2 {
	color: #fff;
}

#block-ctamappapresepi .custom-button {
	background-color: transparent !important;
	border: 2px solid #fff;
}

#block-ctamappapresepi .custom-button:hover {
	background-color: #fff !important;
	border: 2px solid #fff;
}

/* ------------------------------------- mappa presepi - menu ------------------------------------------------- */

.region-header .nav{
	justify-content: right;
}

.region-header .nav-link{
	font-weight: 600;
}

/* ------------------------------------- mappa presepi - homepage ------------------------------------------------- */

.slide-text .title-slide {
	background: rgba(255, 255, 255, 0.8);
    padding: 10px;
}

.slide-text .mt-1.mb-2 {
	background: rgba(255, 255, 255, 0.8);
    padding: 10px;
}

.slide-text .mt-1.mb-2 p{
	font-size: 16px;
}

.views-element-container .block-title {
	text-align: center;
}

.text-align-center .custom-button.button-mod {
	background-color: transparent;
	color: #042c44;
}

.text-align-center .custom-button.button-mod:hover {
	background-color: #042c44;
	color: white;
}

/* ------------------------------------- mappa presepi - view lista presepi ------------------------------------------------- */
img.copertina  {
	height: auto;
	max-width: 100%;
}

.view-filters {
	padding-bottom: 15px;
}

.legenda-presepi span{
	display:inline-block;
	width: 15px;
	height: 15px;
}
.legenda-presepi span.tipologia-0
{
    background: #DD0B16;
}
.legenda-presepi span.tipologia-1{
    background: #841D84;
}
.legenda-presepi span.tipologia-2{
    background: #01943E;
}
.view-lista-presepi .views-field-nothing a{
	color: #042C44;
}
.view-lista-presepi .views-field-nothing .row {
    border: 2px solid #042C44;
	margin-bottom:30px;
}
.view-lista-presepi .views-field-nothing .row:hover {
	background-color: #f0f0f0;
}

.view-lista-presepi .views-field-nothing .lista-img {
    border-left: 10px solid #DD0B16;
    padding-top: 15px;
    padding-bottom: 15px;
	align-content: center;
}

.view-lista-presepi .views-field-nothing .lista-img.tipologia-0{
    border-left-color: #DD0B16;
}
.view-lista-presepi .views-field-nothing .lista-img.tipologia-1{
    border-left-color: #841D84;
}
.view-lista-presepi .views-field-nothing .lista-img.tipologia-2{
    border-left-color: #01943E;
}

.view-lista-presepi .views-field-nothing .lista-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
	padding-top: 15px;
	padding-bottom: 15px;
}
.view-lista-presepi .views-field-nothing .lista-info .regione-tipologia{
	font-size:16px;
}

.view-lista-presepi .views-field-nothing .lista-info h2{
	text-transform:none;
	margin-top: 0.5rem;
	font-size: 22px;
}

.view-lista-presepi .views-field-nothing .lista-info .indirizzo {
	font-size: 14px;
	background: url("images/location.png") no-repeat 0 0 / 20px 20px;
	text-indent: 24px;
}

.view-lista-presepi .views-field-nothing .lista-btn {
    justify-content: center;
    display: flex;
    flex-direction: column;
}
.view-lista-presepi .views-field-nothing .lista-btn span{
    border: 1px solid #042C44;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 38px;
}
.view-lista-presepi .views-field-nothing .row:hover .lista-btn span{
	background-color: #042C44;
	color: #fff;
}

/* ------------------------------- singolo presepe -----------------------------------------*/

.dettaglio-regione {
	text-transform: uppercase;
}

.node-type--presepe .node--type-presepe h1 {
	margin-bottom: 15px !important;
}

.dettaglio-tipologia-presepe {
	margin-bottom: 15px;
}

/*.dettaglio-tipologia-presepe div::before {
    content: "";
    width: 20px;
    height: 20px;
    display: inline-block;
}*/

.dettaglio-contatti {
	background-color: #EFEFEF;
    padding: 15px;
}

.dettaglio-contatti h2{
	font-size: 25px;
}

.dettaglio-apertura-orari {
	background-color: #EFEFEF;
    padding: 15px;
    margin-top: 15px;
    margin-bottom: 15px;
}

.dettaglio-apertura-orari h2{
	font-size: 25px;
}

.dettaglio-riga-referente > div:first-child {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: baseline;
}

.dettaglio-riga-referente {
    display: flex;
    gap: 10px;
    align-items: baseline;
}

.dettaglio-riga-referente .form-label {
    padding: 0px !important;
}

.dettaglio-social > div > div {
  display: inline-block;
  margin-right: 8px;
}

.node--type-presepe .blazy--field-gallery img[alt="default-img"] {
    display: none;
}

/* -------------------------------- */

.dettaglio-tipologia-presepe{
    display:flex;
    align-items:center;
}

.dettaglio-tipologia-presepe > div{
    display:flex;
    align-items:center;
}

/* ------------------------------- block newsletter -----------------------------------------*/

#block-newsletterit .container-fluid,
.page-container-bottom{
	padding:0;
}
#block-newsletterit .bg-blu{
	background-color: #042C44;
	color:#fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
#block-newsletterit .bg-blu p{
	font-size: 2.5rem;
}
#block-newsletterit .bg-blu a{
	background:#fff;
	color:#042C44;
	padding:0.5rem 2.5rem;
}

/* ---------------------------- responsive -------------------------------------*/

@media (min-width: 768px) {
	.view-lista-presepi .views-field-nothing .lista-img {
		border-left: 25px solid #DD0B16;
	}
	
	.view-lista-presepi .views-field-nothing .lista-info .regione-tipologia{
		font-size:20px;
	}
	
	.view-lista-presepi .views-field-nothing .lista-info .indirizzo {
		font-size: 16px;
	}
	
	.view-lista-presepi .views-field-nothing .lista-info h2{
		font-size: 26px;
	}

}

@media (max-width: 768px) {
	.dialog-off-canvas-main-canvas .d-flex {
		display: block !important;
		text-align: center;
	}
	
	#block-frisa-branding {
		text-align: center;
	}
	
	
}